## WebKitDOMNodeIterator WebKitDOMNodeIterator |

## Functions

WebKitDOMNode * | webkit_dom_node_iterator_next_node ()
WebKitDOMNode * | webkit_dom_node_iterator_previous_node ()
void | webkit_dom_node_iterator_detach ()
WebKitDOMNode * | webkit_dom_node_iterator_get_root ()
gulong | webkit_dom_node_iterator_get_what_to_show ()
WebKitDOMNodeFilter * | webkit_dom_node_iterator_get_filter ()
WebKitDOMNode * | webkit_dom_node_iterator_get_reference_node ()
gboolean | webkit_dom_node_iterator_get_pointer_before_reference_node ()
gboolean | webkit_dom_node_iterator_get_expand_entity_references ()

## Properties

WebKitDOMNodeFilter * | filter | Read
gboolean | pointer-before-reference-node | Read
WebKitDOMNode * | reference-node | Read
WebKitDOMNode * | root | Read
gulong | what-to-show | Read

## Types and Values

struct | WebKitDOMNodeIterator

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNodeIterator

## Description

## Functions

### webkit_dom_node_iterator_next_node ()

    WebKitDOMNode *
    webkit_dom_node_iterator_next_node (WebKitDOMNodeIterator *self,
                                        GError **error);

#### Parameters

self | A WebKitDOMNodeIterator |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_iterator_previous_node ()

    WebKitDOMNode *
    webkit_dom_node_iterator_previous_node
                                   (WebKitDOMNodeIterator *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMNodeIterator |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_iterator_detach ()

    void
    webkit_dom_node_iterator_detach (WebKitDOMNodeIterator *self);

#### Parameters

self | A WebKitDOMNodeIterator |

### webkit_dom_node_iterator_get_root ()

    WebKitDOMNode *
    webkit_dom_node_iterator_get_root (WebKitDOMNodeIterator *self);

#### Parameters

self | A WebKitDOMNodeIterator |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_iterator_get_what_to_show ()

    gulong
    webkit_dom_node_iterator_get_what_to_show
                                   (WebKitDOMNodeIterator *self);

#### Parameters

self | A WebKitDOMNodeIterator |

#### Returns

A gulong

### webkit_dom_node_iterator_get_filter ()

    WebKitDOMNodeFilter *
    webkit_dom_node_iterator_get_filter (WebKitDOMNodeIterator *self);

#### Parameters

self | A WebKitDOMNodeIterator |

#### Returns

A WebKitDOMNodeFilter.

[transfer full]

### webkit_dom_node_iterator_get_reference_node ()

    WebKitDOMNode *
    webkit_dom_node_iterator_get_reference_node
                                   (WebKitDOMNodeIterator *self);

#### Parameters

self | A WebKitDOMNodeIterator |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_iterator_get_pointer_before_reference_node ()

    gboolean
    webkit_dom_node_iterator_get_pointer_before_reference_node
                                   (WebKitDOMNodeIterator *self);

#### Parameters

self | A WebKitDOMNodeIterator |

#### Returns

A gboolean

### webkit_dom_node_iterator_get_expand_entity_references ()

    gboolean
    webkit_dom_node_iterator_get_expand_entity_references
                                   (WebKitDOMNodeIterator *self);

`webkit_dom_node_iterator_get_expand_entity_references` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it just returns `FALSE`.

#### Parameters

self | A WebKitDOMNodeIterator |

#### Returns

A gboolean *

## Types and Values

### struct WebKitDOMNodeIterator

    struct WebKitDOMNodeIterator;

## Property Details

### The `“filter”` property

      “filter”                   WebKitDOMNodeFilter *

read-only WebKitDOMNodeFilter* NodeIterator:filter.

Flags: Read

### The `“pointer-before-reference-node”` property

      “pointer-before-reference-node” gboolean

read-only gboolean NodeIterator:pointer-before-reference-node.

Flags: Read

Default value: FALSE

### The `“reference-node”` property

      “reference-node”           WebKitDOMNode *

read-only WebKitDOMNode* NodeIterator:reference-node.

Flags: Read

### The `“root”` property

      “root”                     WebKitDOMNode *

read-only WebKitDOMNode* NodeIterator:root.

Flags: Read

### The `“what-to-show”` property

      “what-to-show”             gulong

read-only gulong NodeIterator:what-to-show.

Flags: Read